/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: FullTextSearch.java,v 1.2 2006/02/15 16:24:00 rampil Exp $
 */
package org.logical_paradox.koike.tools.ri;

import java.awt.Dimension;
import java.awt.Toolkit;

import org.logical_paradox.common.swing.Window;
import org.logical_paradox.koike.tools.console.KoikeToolPanel;

/**
 * FullTextSearch
 * 全文検索アプリケーション<br>
 * 全文検索システム'koike'とRSSSearchEngineのスタブによるリファレンス実装
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public final class FullTextSearch {
	/**
	 * メインメソッド
	 * @param args プログラム引数
	 * @throws Exception 処理されなかった例外
	 */
	public static final void main(String[] args) throws Exception {
		FullTextSearchApplicationPack appack = new FullTextSearchApplicationPack();
		KoikeToolPanel panel = new KoikeToolPanel(appack);
		Window window = new Window("full text retrieval stub implementation", panel, 640, 480);
		Dimension windowLocation = Toolkit.getDefaultToolkit().getScreenSize();
		panel.setLocation(((int)windowLocation.getWidth() - panel.getWidth()) /2, ((int)windowLocation.getHeight() - panel.getHeight()) /2);
		window.changeWindowListener(new BrowserWindowListener());

		window.setVisible(true);
	}
}

// end of FullTextSearch.java
